Bug 1389702 (CVE-2016-9105)

Summary: CVE-2016-9105 Qemu: 9pfs: memory leakage in v9fs_link
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amit.shah, apevec, areis, ayoung, berrange, cfergeau, chrisw, crobinso, cvsbot-xmlrpc, drjones, dwmw2, imammedo, itamar, jen, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:01:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1389704, 1389705    
Bug Blocks: 1389508    

Description Prasad J Pandit 2016-10-28 09:29:35 UTC
Quick Emulator(Qemu) built with the VirtFS, host directory sharing via Plan 9
File System(9pfs) support, is vulnerable to a memory leakage issue. It
could occur when calling v9fs_link call.

A privileged user inside guest could use this flaw to leak the host memory
bytes resulting in DoS for other services.

Upstream patches:
-----------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg02608.html

Reference:
----------
  -> http://wiki.qemu.org/Documentation/9psetup

Comment 1 Prasad J Pandit 2016-10-28 09:30:11 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2016-10-28 09:33:14 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1389705]

Comment 3 Prasad J Pandit 2016-10-28 09:33:38 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1389704]

Comment 4 Andrej Nemec 2016-10-31 14:44:04 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/281

Comment 5 Cole Robinson 2017-01-16 18:31:53 UTC
commit 4c1586787ff43c9acd18a56c12d720e3e6be9f7c
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Mon Oct 17 14:13:58 2016 +0200

    9pfs: fix memory leak in v9fs_link